
/*
 * FlockRunner.java
 */

import info.gridworld.actor.ActorWorld;
import java.util.Iterator;

/**
 *  @author Christian Day
 *  @version June 5, 2007
 **/
public class FlockRunner {
    public static void main (String[] args) {
        Flock robins = new Flock();
        Flock jays = new Flock();

        ActorWorld world = new ActorWorld();
//        ActorWorld world = new ActorWorld(new BoundedGrid<Actor>(30,30));
//        ActorWorld world = new ActorWorld(new UnboundedGrid<Actor>());

        for (int r = 0 ; r < 5 ; r++) {
            Bird robin = new Bird();
            robin.setColor(java.awt.Color.ORANGE);
            robins.add(robin);
        }
        Bird robinLeader = new Bird();
        robinLeader.setColor(java.awt.Color.ORANGE);
        robins.addLeader(robinLeader);
        
        for (int j = 0 ; j < 6 ; j++) {
            jays.add(new Bird());
        }
        Bird jayLeader = new Bird();
        jays.addLeader(jayLeader);

        Iterator flockIter = robins.iterator();
        while (flockIter.hasNext()) {
            Bird b = (Bird)flockIter.next();
            world.add(world.getRandomEmptyLocation(), b);
        }
        world.add(world.getRandomEmptyLocation(), robinLeader);
        
        flockIter = jays.iterator();
        while (flockIter.hasNext()) {
            Bird b = (Bird)flockIter.next();
            world.add(world.getRandomEmptyLocation(), b);
        }
        world.add(world.getRandomEmptyLocation(), jayLeader);
        
        world.show();
    }
    
}
